//variable
$font-family: 'Poppins', sans-serif;
$background-color:  #F1F4FA;
$color-text: #625BAD;

//mixin
@mixin button-task {
    border: 1px solid #625BAD;
    border-radius: 40px;
   
    &:hover, &:active, &:focus {
        background-color: #625BAD;
        color: #ffffff;
    }
}

* {
    font-family: $font-family;
}

.task__outside {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    &.modal-backdrop {
        background-color: rgba(196, 196, 196, 0.5);

    }
}

.task__close img {
    width: 20px;
}

// .click__outside {
//     width: 100%;
//     height: 100%;
//     // position: absolute;
//     transform: translate(-50%, -50%);
//     z-index: 1;
//     top: 50%;
//     left: 50%;
// }

.task__container {
    width: 616px;
    background-color: $background-color;
    box-shadow: 4px 4px 15px rgba(0, 0, 0, 0.2);
    border-radius: 20px;
    // position: absolute;
    // transform: translate(-50%, -50%);
    // z-index: 2;
    // top: 50%;
    // left: 50%;
}

.task__close button {
    background-color: $background-color;
    border: none;
    border-radius: 20px;
}

.task__wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    height: 200px;

h1 {
    font-size: 24px;
    font-weight: 500px;
    font-style: normal;
}
}

button {
    &.task__note , &.task__goals  {
        @include button-task();
    width: 300px;
    display: flex;
    align-items: center;
    margin: 0;
    display: flex;
    align-items: center;
    font-size: 30px;
    font-weight: 500;
    font-style: normal;
        &:hover, &:active, &:focus {
            // background-color: #625BAD;
            color: #ffffff;
        }
        
}
}

.task__note {
    display: flex;
    justify-content: center;
    img {
        background-color: #41CFC1;
        padding: 0.3rem;
        border-radius: 50%;
        width: 30px;
        margin-right: 2rem;
    }
    p {
        font-size: 24px;
        font-weight: 500;
        font-style: normal;
        color: $color-text;
    }
}

.task__goals {
    display: flex;
    justify-content: center;
    img {
        background-color: #FF586A;
        padding: 0.3rem;
        border-radius: 50%;
        width: 30px;
        margin-right: 2rem;
    }
    p {
        font-size: 24px;
        font-weight: 500;
        font-style: normal;
        color: $color-text;
    }
}